com.corticon.rulesemf.ast

## Interface LiteralCollection

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, IPrimaryExpression, org.eclipse.emf.common.notify.Notifier

      public interface LiteralCollection
      extends IPrimaryExpression

  A representation of the model object 'Literal Collection'.

  The following features are supported:

  - `Collection Kind`
  - `Expression List`
  See Also:
    `AstPackage.getLiteralCollection()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCollectionKind()` Returns the value of the 'Collection Kind' attribute
    `org.eclipse.emf.common.util.EList` | `getExpressionList()` Returns the value of the 'Expression List' containment reference list.
    `void` | `setCollectionKind(java.lang.String value)` Sets the value of the '`Collection Kind`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.ast.IPrimaryExpression

      `getType, setType`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getCollectionKind

          java.lang.String getCollectionKind()

      Returns the value of the 'Collection Kind' attribute.

      If the meaning of the 'Collection Kind' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Collection Kind' attribute.
      See Also:
        `setCollectionKind(String)`, `AstPackage.getLiteralCollection_CollectionKind()`

    - #### setCollectionKind

          void setCollectionKind(java.lang.String value)

      Sets the value of the '`Collection Kind`' attribute.
      Parameters:
        `value` - the new value of the 'Collection Kind' attribute.
      See Also:
        `getCollectionKind()`

    - #### getExpressionList

          org.eclipse.emf.common.util.EList getExpressionList()

      Returns the value of the 'Expression List' containment reference list. The list contents are of type `Expression`.

      If the meaning of the 'Expression List' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Expression List' containment reference list.
      See Also:
        `AstPackage.getLiteralCollection_ExpressionList()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.